MAME 0.227 Major Changes

Along with the lua changes and many other new things in MAME during the extended release calendar, they have also completely moved over to C++17 as the standard for the project. What this means for users is not much overall, what this means for development is something different entirely.

I have used an OSX 10.9 system to create these builds for many years now, managing to keep MAME enjoyable for many generations of Macs. With the MAME teams change to C++17, this effectively makes the lowest denominator OS to be 10.14, earlier OSes do not have the ability to use this standard. Macports and brew intentionally do not mess with this stuff for reasons unbeknownst to me.

The side effect of this change is that it is now impossible for me to offer builds targeting 10.9. The latest 0.227 is built on 10.15 with XCode 2.2 and the latest sdl 2.0.14 library.

Going forward I’ll be using this environment to build with as I don’t have an available 10.14 system (and one likely can no longer get this install from Apple). I’d like to think these changes will benefit the project in the future and one cannot move ahead if they must constantly support the past.

If you’re running an older Mac OS install 0.226 will be the end of the road for you. Most current Macs can run the latest Mac OS, mine has officially entered EOL and 10.15 is the end of my mbp’s road. I’ll be offering builds from this environment for the foreseeable future. Hopefully, within a few months time I’ll be able to offer M1 builds as well.

Thank you for reading, sorry for the delays, and Happy New Year!

2 thoughts on “MAME 0.227 Major Changes”

  1. Just wanted to say that as a Mac owner for about a year now, your work has made the transition from Windows so much easier and it is very much appreciated. Hope the new year treats you well!

Comments are closed.